GET /api/fleet/epm/packages/installed

Spaces method and path for this operation:

get /s/{space_id}/api/fleet/epm/packages/installed

Refer to Spaces for more information.

Get a list of all currently installed integration packages.

[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.

Query parameters

  • dataStreamType string

    Values are logs, metrics, traces, synthetics, or profiling.

  • showOnlyActiveDataStreams boolean
  • nameQuery string
  • searchAfter array[string | number]

    Not more than 10 elements.

  • perPage number

    Default value is 15.

  • sortOrder string

    Values are asc or desc. Default value is asc.

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • items array[object] Required

      Not more than 10000 elements.

      Hide items attributes Show items attributes object
      • dataStreams array[object] Required

        Not more than 10000 elements.

        Hide dataStreams attributes Show dataStreams attributes object
        • name string Required
        • title string Required
      • description string
      • icons array[object]

        Not more than 100 elements.

        Hide icons attributes Show icons attributes object
        • dark_mode boolean
        • path string
        • size string
        • src string Required
        • title string
        • type string
      • name string Required
      • status string Required
      • title string
      • version string Required
    • searchAfter array[string | number | boolean]

      Not more than 2 elements.

    • total number Required
  • 400 application/json

    Bad Request

    Hide response attributes Show response attributes object
    • attributes Required
    • error string
    • errorType string
    • message string Required
    • statusCode number
GET /api/fleet/epm/packages/installed
curl \
 --request GET 'https://<KIBANA_URL>/api/fleet/epm/packages/installed' \
 --header "Authorization: $API_KEY"
Response examples (200)
List of installed integration packages
{
  "items": [
    {
      "name": "system",
      "status": "installed",
      "title": "System",
      "version": "1.55.0"
    },
    {
      "name": "elastic_agent",
      "status": "installed",
      "title": "Elastic Agent",
      "version": "1.15.0"
    }
  ],
  "searchExcluded": 0,
  "total": 2
}
Response examples (400)
Example of a generic error response
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}